package routes

import (
	"server/internal/auth"
	"server/internal/mail"

	"github.com/gofiber/fiber/v3"
)

// Typescript: interface
type FormRequest struct {
	Req   string `json:"req"`
	Count int    `json:"count"`
}

// Typescript: interface
type FormResponse struct {
	Test string `json:"test"`
}

func Register(app *fiber.App, authService *auth.Service, mailService *mail.Service) {
	registerSystemRoutes(app)
	registerAuthRoutes(app, authService, mailService)
	registerAdminRoutes(app)
}
